Search documentation of phoenix_kit

# PhoenixKitWeb.Users.Settings (phoenix_kit v1.6.19)

View Source

LiveView for user account settings management.

Allows authenticated users to update their email, password, profile information, and personal preferences such as timezone, date format, and time format.

# Summary

## Functions

handle_event(binary, params, socket)

Callback implementation for `Phoenix.LiveView.handle_event/3`.

handle_info(atom, socket)

Callback implementation for `Phoenix.LiveView.handle_info/2`.

mount(arg1, session, socket)

Callback implementation for `Phoenix.LiveView.mount/3`.

render(assigns)

Callback implementation for `Phoenix.LiveView.render/1`.

# Functions

# handle_event(binary, params, socket)

Callback implementation for `Phoenix.LiveView.handle_event/3`.

# handle_info(atom, socket)

Callback implementation for `Phoenix.LiveView.handle_info/2`.

# mount(arg1, session, socket)

Callback implementation for `Phoenix.LiveView.mount/3`.

# render(assigns)

Callback implementation for `Phoenix.LiveView.render/1`.